# Main rooms heated with unlimited power.
# Used to determine heat losses.

parameters:
  duration: 2.0               # Duration of simulation, hours.
  cycleTime: 0.2              # Simulation cycle time, seconds
  reportInterval: 1           # Report interval, minutes.
  changeThreshold: 0.00001       # Temperature threshold for determining if
                              # state has changed.
  sensorWeight: 0.0           # Air-radiant temperature weighting for
                              # calculating "operative" temperature.
                              # 0 is pure air temperature.
                              # 1 is pure radiant temperature.
  airTemp:  -2.2              # Outside air temperature, °C
  groundTemp: 10.2            # Ground temperature, °C

programs:
  temp21:
    - duration: 4.0
      setpoint: 21
  temp20:
    - duration: 4.0
      setpoint: 20
  temp18:
    - duration: 4.0
      setpoint: 18

#!include materials.yaml
#!include slabs.yaml
#!include rooms.yaml

outside:
  Air:
    # Initially this is hugely simplified. No distinction is made between air
    # and radiant temperatures, and all external surfaces are assumed to be at
    # the same temperature.
    temperature: airTemp
  Ground:
    temperature: groundTemp

heaters:
  DiningRoom:
    maxPower: 10000
    minPower: 0
    type: air
    room: DiningRoom
    program: temp21
  Lounge:
    maxPower: 10000
    minPower: 0
    type: air
    room: Lounge
    program: temp21
  BackRoom:
    maxPower: 10000
    minPower: 0
    type: air
    room: BackRoom
    program: temp21
  Study:
    maxPower: 10000
    minPower: 0
    type: air
    room: Study
    program: temp21

